name: Discord PR Notify

on:
  pull_request:
    types: [opened]

jobs:
  discord:
    runs-on: ubuntu-latest
    steps:
      - name: Send Discord
        run: |
          curl -X POST "${{ secrets.DISCORD_WEBHOOK_PULLREQUEST }}" \
            -H "Content-Type: application/json" \
            -d '{
              "embeds": [{
                "title": "🔔 **Service:** ${{ github.repository }}",
                "description": "👤 **Author:** ${{ github.event.pull_request.user.login }}\n🌿 **Branch:** ${{ github.event.pull_request.head.ref }} → ${{ github.event.pull_request.base.ref }}\n📦 **Pull Request:** [#${{ github.event.pull_request.number }} - ${{ github.event.pull_request.title }}](${{ github.event.pull_request.html_url }})",
                "color": 5814783,
                "timestamp": "${{ github.event.pull_request.created_at }}"
              }]
            }'
